#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	musikcube
Version		:	3.0.4
Release		:	17.0.10.rel%{?dist}
Summary		:	A terminal-based cross-platform music player, audio engine, metadata indexer, and server

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/clangen/musikcube

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	asio
BuildRequires	:	cmake
BuildRequires	:	desktop-file-utils
BuildRequires	:	ffmpeg-devel
BuildRequires	:	libev-devel
BuildRequires	:	libmicrohttpd-devel
BuildRequires	:	ncurses-devel
BuildRequires	:	pipewire-devel
BuildRequires	:	taglib-devel

#-----------------------------------------------------------------------------
%description
a cross-platform, terminal-based audio engine, library,
player and server written in c++.

musikcube compiles and runs easily on windows, macos and linux.
it also runs well on a raspberry pi with raspbian, and
can be setup as a streaming audio server.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}d
%{_datadir}/%{name}/%{name}
%{_datadir}/%{name}/%{name}d
%{_datadir}/%{name}/locales/*.json
%{_datadir}/%{name}/plugins/*.so
%{_datadir}/%{name}/themes/*.json
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

#=============================================================================
%package		devel
Summary		:	Development files for %{name} 

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Files needed when building software with %{name}.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/musikcore/sdk/*.h
%{_datadir}/%{name}/libmusikcore.so

#=============================================================================
%prep
%setup -q

sed -i							\
  -e "s:<microhttpd.h>:<libmicrohttpd/microhttpd.h>:"	\
  src/plugins/server/HttpServer.h

sed -i							\
  -e 's:find_library(LIBTINFO NAMES tinfo):set(LIBTINFO \"\"):' \
  src/%{name}/CMakeLists.txt
  
#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=Release 			\
	-D ENABLE_PCH=TRUE				\
	-D ENABLE_PIPEWIRE=true				\
	.

%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 
#-----------------------------------------------------------------------------
%changelog
